Retrieve the rate table for a benefit

Mirrors RateReadApi::rateTableForBenefit — returns the bands and resolved rates for the requested rate identifiers

get
https://dev.api.zinnia.io/rate-configuration/v1/rateTableForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}

Query Parameters

rateIdsstring

Comma-separated list of rate identifiers to retrieve

Example:POLICY_FEE

issueAgeinteger(int32)required

The issue age to resolve rates for.

Example:45

genderstring

Filter by gender

Example:FEMALE

riskClassstring

Filter by risk class

Example:PREFERREDNONTOBACCO

smokeClassstring

Filter by smoke class

Example:PREFERREDNONTOBACCO

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:FNWL

productIdstringrequired

The Product ID

Example:TR0101-20

benefitIdstringrequired

The Benefit ID

Example:Base_Coverage

Response

application/json

OK

object
get/rate-configuration/v1/rateTableForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}
 
application/json

Retrieve a single rate for a benefit

Mirrors RateReadApi::getSingleRate — returns the rate series for the requested rate identifier and face amount’s band

get
https://dev.api.zinnia.io/rate-configuration/v1/getSingleRate/carriers/{carrierId}/products/{productId}/benefits/{benefitId}

Query Parameters

rateIdstring

The rate identifier to retrieve

Example:POLICY_FEE

faceAmountnumber(double)

Selects which band’s rate series to return

Example:500000

issueAgeinteger(int32)

Filter by issue age

Example:45

genderstring

Filter by gender

Example:FEMALE

riskClassstring

Filter by risk class

Example:PREFERREDNONTOBACCO

smokeClassstring

Filter by smoke class

Example:PREFERREDNONTOBACCO

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:FNWL

productIdstringrequired

The Product ID

Example:TR0101-20

benefitIdstringrequired

The Benefit ID

Example:Base_Coverage

Response

application/json

OK

array[number](double)
get/rate-configuration/v1/getSingleRate/carriers/{carrierId}/products/{productId}/benefits/{benefitId}
 
application/json

Retrieve the configuration for a benefit

Mirrors RateReadApi::configurationForBenefit — returns the benefit’s static configuration metadata, keyed by name

get
https://dev.api.zinnia.io/rate-configuration/v1/configurationForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}

Query Parameters

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:FNWL

productIdstringrequired

The Product ID

Example:TR0101-20

benefitIdstringrequired

The Benefit ID

Example:Base_Coverage

Response

application/json

OK

object
get/rate-configuration/v1/configurationForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}
 
application/json

Retrieve the scenarios for a product

Mirrors RateReadApi::scenariosForProduct — returns the scenarios to run for the product’s calculation/illustration type

get
https://dev.api.zinnia.io/rate-configuration/v1/scenariosForProduct/carriers/{carrierId}/products/{productId}

Query Parameters

calculationTypestring

The calculation type identifier

Example:SINGLE_ILLUSTRATION

illustrationTypestring

The illustration type identifier

Example:NEW_BUSINESS

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:FNWL

productIdstringrequired

The Product ID

Example:IU0101

Response

application/json

OK

ScenariosToRunItem

The scenarios to run for a product’s calculation/illustration type, and the illustration duration.

* Additional properties are NOT allowed.
scenarioListarray[object]required

One scenario to run, mirroring a ScenarioObject entry from ScenarioMapping.json.

* Additional properties are NOT allowed.
Show Child Parameters
durationinteger(int32)required
get/rate-configuration/v1/scenariosForProduct/carriers/{carrierId}/products/{productId}
 
application/json

Utility

Utility operations